Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 16861)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 16862)
@@ -618,4 +618,7 @@
       <DependentUpon>AbstractFeatureCorrelationView.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="IntervalConstraintView.resx">
+      <DependentUpon>IntervalConstraintView.cs</DependentUpon>
+    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.Designer.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.Designer.cs	(revision 16861)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.Designer.cs	(revision 16862)
@@ -50,5 +50,4 @@
       this.incllowerboundLabel = new System.Windows.Forms.Label();
       this.inclupperboundLabel = new System.Windows.Forms.Label();
-      this.isderivationLabel = new System.Windows.Forms.Label();
       this.variableLabel = new System.Windows.Forms.Label();
       this.numberderivationLabel = new System.Windows.Forms.Label();
@@ -58,4 +57,5 @@
       this.variableInput = new System.Windows.Forms.TextBox();
       this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.label1 = new System.Windows.Forms.Label();
       this.numberderivationInput = new System.Windows.Forms.ComboBox();
       this.ischeckedCheckBox = new System.Windows.Forms.CheckBox();
@@ -64,5 +64,4 @@
       this.inclupperboundInput = new System.Windows.Forms.CheckBox();
       this.incllowerboundInput = new System.Windows.Forms.CheckBox();
-      this.derivationInput = new System.Windows.Forms.CheckBox();
       this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
       this.groupBox1.SuspendLayout();
@@ -73,5 +72,5 @@
       // 
       this.definitionLabel.AutoSize = true;
-      this.definitionLabel.Location = new System.Drawing.Point(11, 45);
+      this.definitionLabel.Location = new System.Drawing.Point(11, 72);
       this.definitionLabel.Name = "definitionLabel";
       this.definitionLabel.Size = new System.Drawing.Size(54, 13);
@@ -82,5 +81,5 @@
       // 
       this.lowerboundLabel.AutoSize = true;
-      this.lowerboundLabel.Location = new System.Drawing.Point(11, 71);
+      this.lowerboundLabel.Location = new System.Drawing.Point(11, 98);
       this.lowerboundLabel.Name = "lowerboundLabel";
       this.lowerboundLabel.Size = new System.Drawing.Size(69, 13);
@@ -91,5 +90,5 @@
       // 
       this.upperboundLabel.AutoSize = true;
-      this.upperboundLabel.Location = new System.Drawing.Point(11, 96);
+      this.upperboundLabel.Location = new System.Drawing.Point(11, 123);
       this.upperboundLabel.Name = "upperboundLabel";
       this.upperboundLabel.Size = new System.Drawing.Size(69, 13);
@@ -100,5 +99,5 @@
       // 
       this.incllowerboundLabel.AutoSize = true;
-      this.incllowerboundLabel.Location = new System.Drawing.Point(11, 122);
+      this.incllowerboundLabel.Location = new System.Drawing.Point(11, 149);
       this.incllowerboundLabel.Name = "incllowerboundLabel";
       this.incllowerboundLabel.Size = new System.Drawing.Size(92, 13);
@@ -109,5 +108,5 @@
       // 
       this.inclupperboundLabel.AutoSize = true;
-      this.inclupperboundLabel.Location = new System.Drawing.Point(11, 147);
+      this.inclupperboundLabel.Location = new System.Drawing.Point(11, 174);
       this.inclupperboundLabel.Name = "inclupperboundLabel";
       this.inclupperboundLabel.Size = new System.Drawing.Size(92, 13);
@@ -115,17 +114,8 @@
       this.inclupperboundLabel.Text = "Incl. Upperbound:";
       // 
-      // isderivationLabel
-      // 
-      this.isderivationLabel.AutoSize = true;
-      this.isderivationLabel.Location = new System.Drawing.Point(11, 173);
-      this.isderivationLabel.Name = "isderivationLabel";
-      this.isderivationLabel.Size = new System.Drawing.Size(58, 13);
-      this.isderivationLabel.TabIndex = 6;
-      this.isderivationLabel.Text = "Derivation:";
-      // 
       // variableLabel
       // 
       this.variableLabel.AutoSize = true;
-      this.variableLabel.Location = new System.Drawing.Point(11, 198);
+      this.variableLabel.Location = new System.Drawing.Point(11, 199);
       this.variableLabel.Name = "variableLabel";
       this.variableLabel.Size = new System.Drawing.Size(48, 13);
@@ -136,5 +126,5 @@
       // 
       this.numberderivationLabel.AutoSize = true;
-      this.numberderivationLabel.Location = new System.Drawing.Point(11, 224);
+      this.numberderivationLabel.Location = new System.Drawing.Point(11, 225);
       this.numberderivationLabel.Name = "numberderivationLabel";
       this.numberderivationLabel.Size = new System.Drawing.Size(65, 13);
@@ -146,5 +136,5 @@
       this.definitionInput.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.definitionInput.Location = new System.Drawing.Point(111, 42);
+      this.definitionInput.Location = new System.Drawing.Point(111, 69);
       this.definitionInput.Name = "definitionInput";
       this.definitionInput.Size = new System.Drawing.Size(473, 20);
@@ -155,5 +145,5 @@
       this.upperboundInput.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.upperboundInput.Location = new System.Drawing.Point(111, 93);
+      this.upperboundInput.Location = new System.Drawing.Point(111, 120);
       this.upperboundInput.Name = "upperboundInput";
       this.upperboundInput.Size = new System.Drawing.Size(473, 20);
@@ -166,5 +156,5 @@
       this.lowerboundInput.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.lowerboundInput.Location = new System.Drawing.Point(111, 68);
+      this.lowerboundInput.Location = new System.Drawing.Point(111, 95);
       this.lowerboundInput.Name = "lowerboundInput";
       this.lowerboundInput.Size = new System.Drawing.Size(473, 20);
@@ -177,5 +167,5 @@
       this.variableInput.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.variableInput.Location = new System.Drawing.Point(111, 195);
+      this.variableInput.Location = new System.Drawing.Point(111, 196);
       this.variableInput.Name = "variableInput";
       this.variableInput.Size = new System.Drawing.Size(473, 20);
@@ -184,4 +174,5 @@
       // groupBox1
       // 
+      this.groupBox1.Controls.Add(this.label1);
       this.groupBox1.Controls.Add(this.numberderivationInput);
       this.groupBox1.Controls.Add(this.ischeckedCheckBox);
@@ -190,5 +181,4 @@
       this.groupBox1.Controls.Add(this.inclupperboundInput);
       this.groupBox1.Controls.Add(this.incllowerboundInput);
-      this.groupBox1.Controls.Add(this.derivationInput);
       this.groupBox1.Controls.Add(this.variableInput);
       this.groupBox1.Controls.Add(this.lowerboundInput);
@@ -197,5 +187,4 @@
       this.groupBox1.Controls.Add(this.numberderivationLabel);
       this.groupBox1.Controls.Add(this.variableLabel);
-      this.groupBox1.Controls.Add(this.isderivationLabel);
       this.groupBox1.Controls.Add(this.inclupperboundLabel);
       this.groupBox1.Controls.Add(this.incllowerboundLabel);
@@ -211,4 +200,13 @@
       this.groupBox1.Text = "Interval Constraints Detail";
       // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(11, 22);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(49, 13);
+      this.label1.TabIndex = 28;
+      this.label1.Text = "Enabled:";
+      // 
       // numberderivationInput
       // 
@@ -216,5 +214,5 @@
             | System.Windows.Forms.AnchorStyles.Right)));
       this.numberderivationInput.FormattingEnabled = true;
-      this.numberderivationInput.Location = new System.Drawing.Point(111, 224);
+      this.numberderivationInput.Location = new System.Drawing.Point(111, 225);
       this.numberderivationInput.Name = "numberderivationInput";
       this.numberderivationInput.Size = new System.Drawing.Size(470, 21);
@@ -225,9 +223,8 @@
       // 
       this.ischeckedCheckBox.AutoSize = true;
-      this.ischeckedCheckBox.Location = new System.Drawing.Point(14, 257);
+      this.ischeckedCheckBox.Location = new System.Drawing.Point(111, 21);
       this.ischeckedCheckBox.Name = "ischeckedCheckBox";
-      this.ischeckedCheckBox.Size = new System.Drawing.Size(65, 17);
+      this.ischeckedCheckBox.Size = new System.Drawing.Size(15, 14);
       this.ischeckedCheckBox.TabIndex = 26;
-      this.ischeckedCheckBox.Text = "Enabled";
       this.ischeckedCheckBox.UseVisualStyleBackColor = true;
       this.ischeckedCheckBox.CheckedChanged += new System.EventHandler(this.ischeckedCheckBox_CheckedChanged);
@@ -237,5 +234,5 @@
       this.expressionInput.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.expressionInput.Location = new System.Drawing.Point(111, 17);
+      this.expressionInput.Location = new System.Drawing.Point(111, 44);
       this.expressionInput.Name = "expressionInput";
       this.expressionInput.Size = new System.Drawing.Size(473, 20);
@@ -245,5 +242,5 @@
       // 
       this.expressionLabel.AutoSize = true;
-      this.expressionLabel.Location = new System.Drawing.Point(11, 20);
+      this.expressionLabel.Location = new System.Drawing.Point(11, 47);
       this.expressionLabel.Name = "expressionLabel";
       this.expressionLabel.Size = new System.Drawing.Size(61, 13);
@@ -254,5 +251,5 @@
       // 
       this.inclupperboundInput.AutoSize = true;
-      this.inclupperboundInput.Location = new System.Drawing.Point(111, 146);
+      this.inclupperboundInput.Location = new System.Drawing.Point(111, 173);
       this.inclupperboundInput.Name = "inclupperboundInput";
       this.inclupperboundInput.Size = new System.Drawing.Size(15, 14);
@@ -264,5 +261,5 @@
       // 
       this.incllowerboundInput.AutoSize = true;
-      this.incllowerboundInput.Location = new System.Drawing.Point(111, 122);
+      this.incllowerboundInput.Location = new System.Drawing.Point(111, 149);
       this.incllowerboundInput.Name = "incllowerboundInput";
       this.incllowerboundInput.Size = new System.Drawing.Size(15, 14);
@@ -270,13 +267,4 @@
       this.incllowerboundInput.UseVisualStyleBackColor = true;
       this.incllowerboundInput.CheckedChanged += new System.EventHandler(this.incllowerboundInput_CheckedChanged);
-      // 
-      // derivationInput
-      // 
-      this.derivationInput.AutoSize = true;
-      this.derivationInput.Location = new System.Drawing.Point(111, 173);
-      this.derivationInput.Name = "derivationInput";
-      this.derivationInput.Size = new System.Drawing.Size(15, 14);
-      this.derivationInput.TabIndex = 21;
-      this.derivationInput.UseVisualStyleBackColor = true;
       // 
       // errorProvider
@@ -304,5 +292,4 @@
     private System.Windows.Forms.Label incllowerboundLabel;
     private System.Windows.Forms.Label inclupperboundLabel;
-    private System.Windows.Forms.Label isderivationLabel;
     private System.Windows.Forms.Label variableLabel;
     private System.Windows.Forms.Label numberderivationLabel;
@@ -312,5 +299,4 @@
     private System.Windows.Forms.TextBox variableInput;
     private System.Windows.Forms.GroupBox groupBox1;
-    private System.Windows.Forms.CheckBox derivationInput;
     private System.Windows.Forms.CheckBox inclupperboundInput;
     private System.Windows.Forms.CheckBox incllowerboundInput;
@@ -320,4 +306,5 @@
     private System.Windows.Forms.CheckBox ischeckedCheckBox;
     private System.Windows.Forms.ComboBox numberderivationInput;
+    private System.Windows.Forms.Label label1;
   }
 }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.cs	(revision 16861)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.cs	(revision 16862)
@@ -29,5 +29,5 @@
   [View("Interval Constraint Detail View")]
   [Content(typeof(IntervalConstraint), true)]
-  public partial class IntervalConstraintView : ItemView {
+  public sealed partial class IntervalConstraintView : ItemView {
 
     public new IntervalConstraint Content {
@@ -41,6 +41,4 @@
       expressionInput.ReadOnly = true;
       definitionInput.ReadOnly = true;
-      derivationInput.Enabled = false;
-      derivationInput.Checked = false;
       numberderivationInput.DataSource = items;
     }
@@ -57,11 +55,16 @@
 
     protected override void DeregisterContentEvents() {
+      Content.Changed -= new EventHandler(Content_Changed);
       base.DeregisterContentEvents();
-      Content.Changed -= new EventHandler(Content_Changed);
     }
 
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      lowerboundInput.Enabled = Content != null && !Locked;
+      lowerboundInput.Enabled = Content != null && !Locked && !ReadOnly;
+      upperboundInput.Enabled = Content != null && !Locked && !ReadOnly;
+      expressionInput.Enabled = Content != null && !Locked && !ReadOnly;
+      definitionInput.Enabled = Content != null && !Locked && !ReadOnly;
+      definitionInput.ReadOnly = true;
+      expressionInput.ReadOnly = true;
     }
 
@@ -70,5 +73,5 @@
     #region helpers
 
-    private double ParseDoubleValue(string input, Control control) {
+    private static double ParseDoubleValue(string input, Control control, ErrorProvider errorProvider) {
       input = input.ToLower();
       switch (input) {
@@ -81,5 +84,5 @@
           return double.NegativeInfinity;
         default: {
-          if (double.TryParse(input, NumberStyles.Any, CultureInfo.InvariantCulture, out var value))
+          if (double.TryParse(input, out var value))
             return value;
           else {
@@ -98,23 +101,25 @@
         incllowerboundInput.Checked = true;
         inclupperboundInput.Checked = true;
+        return;
+      }
+
+      expressionInput.Text = Content.Expression;
+      definitionInput.Text = Content.Definition;
+      lowerboundInput.Text = Content.Interval.LowerBound.ToString();
+      upperboundInput.Text = Content.Interval.UpperBound.ToString();
+      incllowerboundInput.Checked = Content.InclusiveLowerBound;
+      inclupperboundInput.Checked = Content.InclusiveUpperBound;
+      variableInput.Text = Content.Variable;
+      if (!Content.IsDerivation) {
+        numberderivationInput.Visible = false;
+        numberderivationLabel.Visible = false;
       } else {
-        expressionInput.Text = Content.Expression;
-        definitionInput.Text = Content.Definition;
-        lowerboundInput.Text = Content.Interval.LowerBound.ToString(CultureInfo.InvariantCulture);
-        upperboundInput.Text = Content.Interval.UpperBound.ToString(CultureInfo.InvariantCulture);
-        incllowerboundInput.Checked = Content.InclusiveLowerBound;
-        inclupperboundInput.Checked = Content.InclusiveUpperBound;
-        derivationInput.Checked = Content.IsDerivation;
-        variableInput.Text = Content.Variable;
-        if (!Content.IsDerivation) {
-          numberderivationInput.Enabled = false;
-        } else {
-          numberderivationInput.Enabled = true;
-          numberderivationInput.SelectedItem = Content.NumberOfDerivation;
-        }
-
-        ischeckedCheckBox.Checked = Content.Enabled;
-      }
-      SetEnabledStateOfControls();
+        numberderivationLabel.Visible = true;
+        numberderivationInput.Visible = true;
+        numberderivationInput.Enabled = true;
+        numberderivationInput.SelectedItem = Content.NumberOfDerivation;
+      }
+
+      ischeckedCheckBox.Checked = Content.Enabled;
     }
 
@@ -136,6 +141,6 @@
           constraint.Interval.UpperBound,
           (constraint.InclusiveUpperBound) ? "]" : "[",
-          PrintNumberOfDerivation(constraint.numberOfDerivation),
-          PrintNumberOfDerivation(constraint.numberOfDerivation));
+          GetDerivationString(constraint.numberOfDerivation),
+          GetDerivationString(constraint.numberOfDerivation));
       }
 
@@ -143,5 +148,5 @@
     }
 
-    private static string PrintNumberOfDerivation(int derivation) {
+    private static string GetDerivationString(int derivation) {
       switch (derivation) {
         case 1:
@@ -160,5 +165,5 @@
     #region control event handlers
     private void lowerboundInput_Validating(object sender, CancelEventArgs e) {
-      var value = ParseDoubleValue(lowerboundInput.Text, lowerboundInput);
+      var value = ParseDoubleValue(lowerboundInput.Text, lowerboundInput, this.errorProvider);
       if (double.IsNaN(value)) {
         errorProvider.SetError(lowerboundInput, "Invalid Input: Lowerbound must be a double value!");
@@ -178,5 +183,5 @@
 
     private void lowerboundInput_Validated(object sender, EventArgs e) {
-      var value = ParseDoubleValue(lowerboundInput.Text, lowerboundInput);
+      var value = ParseDoubleValue(lowerboundInput.Text, lowerboundInput, this.errorProvider);
       if (!double.IsNaN(value)) {
         Content.Interval = new Interval(value, Content.Interval.UpperBound);
@@ -188,5 +193,5 @@
 
     private void upperboundInput_Validating(object sender, CancelEventArgs e) {
-      var value = ParseDoubleValue(upperboundInput.Text, upperboundInput);
+      var value = ParseDoubleValue(upperboundInput.Text, upperboundInput, this.errorProvider);
       if (double.IsNaN(value)) {
         errorProvider.SetError(upperboundInput, "Invalid Input: Upperbound must be a double value!");
@@ -206,5 +211,5 @@
 
     private void upperboundInput_Validated(object sender, EventArgs e) {
-      var value = ParseDoubleValue(upperboundInput.Text, upperboundInput);
+      var value = ParseDoubleValue(upperboundInput.Text, upperboundInput, this.errorProvider);
       if (!double.IsNaN(value)) {
         Content.Interval = new Interval(Content.Interval.LowerBound, value);
@@ -216,28 +221,19 @@
 
     private void incllowerboundInput_CheckedChanged(object sender, EventArgs e) {
-      if (Content.InclusiveLowerBound != incllowerboundInput.Checked) {
         Content.InclusiveLowerBound = incllowerboundInput.Checked;
         var exp = UpdateExpression(Content);
         Content.Name = exp;
         Content.Expression = exp;
-      }
-      
-      
     }
 
     private void inclupperboundInput_CheckedChanged(object sender, EventArgs e) {
-      if (Content.InclusiveUpperBound != inclupperboundInput.Checked) { 
         Content.InclusiveUpperBound = inclupperboundInput.Checked;
         var exp = UpdateExpression(Content);
         Content.Name = exp;
         Content.Expression = exp;
-      }
     }
 
     private void ischeckedCheckBox_CheckedChanged(object sender, EventArgs e) {
-      if (Content.Enabled != ischeckedCheckBox.Checked) {
         Content.Enabled = ischeckedCheckBox.Checked;
-        //UpdateControls();
-      }
     }
 
@@ -262,8 +258,5 @@
       UpdateControls();
     }
-
-
     #endregion
-
   }
 }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.resx
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.resx	(revision 16862)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.resx	(revision 16862)
@@ -0,0 +1,123 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="errorProvider.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+</root>
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs	(revision 16861)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs	(revision 16862)
@@ -41,4 +41,5 @@
       intervalConstraints = new CheckedItemList<IntervalConstraint>();
       intervalConstraints.CheckedItemsChanged += constraint_CheckedItemChanged;
+      //intervalConstraints.ItemsRemoved
     }
 
@@ -47,5 +48,6 @@
       UpdateControl();
     }
-
+    //ParameterCollectionView
+    //Remove method directly at parsebutton event
     private IEnumerable<IntervalConstraint> ParseConstraints(string input) {
       return IntervalConstraintsParser.ParseInput(input, Content.ProblemData.TargetVariable,
@@ -84,5 +86,4 @@
         constraintsOutput.Content = intervalConstraints.AsReadOnly();
       }
-      SetEnabledStateOfControls();
     }
 
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/NamedIntervalsView.Designer.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/NamedIntervalsView.Designer.cs	(revision 16861)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/NamedIntervalsView.Designer.cs	(revision 16862)
@@ -61,5 +61,4 @@
       this.dataGridView.TabIndex = 0;
       this.dataGridView.CellEndEdit += new System.Windows.Forms.DataGridViewCellEventHandler(this.dataGridView_CellEndEdit);
-      this.dataGridView.CellValidated += new System.Windows.Forms.DataGridViewCellEventHandler(this.dataGridView_CellValidated);
       this.dataGridView.CellValidating += new System.Windows.Forms.DataGridViewCellValidatingEventHandler(this.dataGridView_CellValidating);
       this.dataGridView.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dataGridView_CellValueChanged);
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/NamedIntervalsView.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/NamedIntervalsView.cs	(revision 16861)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/NamedIntervalsView.cs	(revision 16862)
@@ -30,5 +30,5 @@
   [View("NamedIntervals View")]
   [Content(typeof(NamedIntervals), true)]
-  public partial class NamedIntervalsView : AsynchronousContentView {
+  public sealed partial class NamedIntervalsView : AsynchronousContentView {
 
     public new NamedIntervals Content {
@@ -63,5 +63,5 @@
     }
 
-    protected void UpdateData() {
+    private void UpdateData() {
       DataGridView.Rows.Clear();
       DataGridView.Columns.Clear();
@@ -84,8 +84,11 @@
       dataGridView.AutoResizeRowHeadersWidth(DataGridViewRowHeadersWidthSizeMode.AutoSizeToDisplayedHeaders);
       dataGridView.Enabled = true;
-
+      //Disable Sorting
+      foreach (DataGridViewColumn column in dataGridView.Columns) {
+        column.SortMode = DataGridViewColumnSortMode.NotSortable;
+      }
     }
 
-    protected void FillRows() {
+    private void FillRows() {
       for (var i = 0; i < dataGridView.RowCount; ++i) {
         var key = (string)dataGridView.Rows[i].HeaderCell.Value;
@@ -95,5 +98,5 @@
     }
 
-    protected void SetRowsHeader() {
+    private void SetRowsHeader() {
       for (var i = 0; i < Content.VariableIntervals.Count; ++i) {
         var item = Content.VariableIntervals.ElementAt(i);
@@ -102,5 +105,5 @@
     }
 
-    protected void SetColumnNames() {
+    private void SetColumnNames() {
       dataGridView.Columns.Add("lowerBound", "Lower Bound");
       dataGridView.Columns.Add("upperBound", "Upper Bound");
@@ -149,11 +152,4 @@
       dataGridView.Rows[e.RowIndex].ErrorText = string.Empty;
     }
-
-    private void dataGridView_CellValidated(object sender, DataGridViewCellEventArgs e) {
-      var col = e.ColumnIndex;
-      var row = e.RowIndex;
-      if (double.TryParse(dataGridView.Rows[row].Cells[col].Value.ToString(), out var value))
-        dataGridView.Rows[row].Cells[col].Value = value;
-    }
   }
 }