Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraint.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraint.cs	(revision 16880)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraint.cs	(revision 16881)
@@ -40,5 +40,4 @@
 
     private string definition;
-
     public string Definition {
       get => definition;
@@ -97,19 +96,4 @@
     }
 
-    public IntervalConstraint() {
-      name = "Empty";
-      expression = "Empty";
-      Interval = new Interval(0, 0);
-      inclusiveLowerBound = true;
-      inclusiveLowerBound = true;
-      IsDerivation = false;
-      enabled = false;
-    }
-
-    public IntervalConstraint(string name) {
-      base.name = name;
-      enabled = true;
-    }
-
     public IntervalConstraint(string expression, string definition, Interval interval, bool inclusiveLowerBound,
       bool inclusiveUpperBound, bool isDerivation, string variable, int numberOfDerivation, bool isChecked) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraintsParser.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraintsParser.cs	(revision 16880)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraintsParser.cs	(revision 16881)
@@ -50,13 +50,15 @@
               var lowerBound = ParseIntervalBounds(match.Groups[4].Value);
               var upperBound = ParseIntervalBounds(match.Groups[6].Value);
-              var constraint = new IntervalConstraint("Target:" + match.Groups[0].Value);
-              constraint.Expression = "Target:" + match.Groups[0].Value;
-              constraint.Definition = "Target " + match.Groups[1].Value.Trim();
-              constraint.Variable = match.Groups[1].Value.Trim();
-              constraint.InclusiveLowerBound = match.Groups[3].Value.Trim() == "[";
-              constraint.InclusiveUpperBound = match.Groups[7].Value.Trim() == "]";
-              constraint.IsDerivation = false;
-              constraint.NumberOfDerivation = 0;
-              constraint.Interval = new Interval(lowerBound, upperBound);
+              var expression = "Target:" + match.Groups[0].Value;
+              var definition = "Target " + match.Groups[1].Value.Trim();
+              var variable = match.Groups[1].Value.Trim();
+              var inclLowerBound = match.Groups[3].Value.Trim() == "[";
+              var inclUpperBound = match.Groups[7].Value.Trim() == "]";
+              var isDerivation = false;
+              var numberOfDerivation = 0;
+              var interval = new Interval(lowerBound, upperBound);
+
+              var constraint = new IntervalConstraint(expression, definition, interval, inclLowerBound, inclUpperBound, isDerivation, variable, numberOfDerivation, true);
+              constraint.Name = expression;
 
               yield return constraint;
@@ -94,14 +96,16 @@
               var lowerBound = ParseIntervalBounds(match.Groups[9].Value);
               var upperBound = ParseIntervalBounds(match.Groups[11].Value);
-              var constraint = new IntervalConstraint(match.Groups[0].Value);
-              constraint.Expression = match.Groups[0].Value;
-              constraint.Definition = match.Groups[1].Value + match.Groups[2].Value + match.Groups[3].Value +
+              var expression = match.Groups[0].Value;
+              var definition = match.Groups[1].Value + match.Groups[2].Value + match.Groups[3].Value +
                                       match.Groups[4].Value + match.Groups[5].Value + match.Groups[6].Value + match.Groups[7].Value;
-              constraint.IsDerivation = true;
-              constraint.InclusiveLowerBound = match.Groups[8].Value.Trim() == "[";
-              constraint.InclusiveUpperBound = match.Groups[12].Value.Trim() == "]";
-              constraint.Variable = match.Groups[6].Value.Trim();
-              constraint.NumberOfDerivation = ParseDerivationCount(match.Groups[2].Value.Trim());
-              constraint.Interval = new Interval(lowerBound, upperBound);
+              var isDerivation = true;
+              var inclLowerBound = match.Groups[8].Value.Trim() == "[";
+              var inclUpperBound = match.Groups[12].Value.Trim() == "]";
+              var variable = match.Groups[6].Value.Trim();
+              var numberOfDerivation = ParseDerivationCount(match.Groups[2].Value.Trim());
+              var interval = new Interval(lowerBound, upperBound);
+
+              var constraint = new IntervalConstraint(expression, definition, interval, inclLowerBound, inclUpperBound, isDerivation, variable, numberOfDerivation, true);
+              constraint.Name = expression;
 
               yield return constraint;
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/ParsedConstraint.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/ParsedConstraint.cs	(revision 16880)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/ParsedConstraint.cs	(revision 16881)
@@ -63,5 +63,5 @@
     }
 
-    public ParsedConstraint() {
+    public ParsedConstraint() :base () {
       this.Input = exampleInput;
       this.constraints = new CheckedItemList<IntervalConstraint>();
@@ -69,19 +69,8 @@
     }
 
-    public ParsedConstraint(IRegressionProblemData problemData) {
+    public ParsedConstraint(IRegressionProblemData problemData) : base() {
       this.Input = exampleInput;
       this.constraints = new List<IntervalConstraint>();
       this.ProblemData = problemData;
-    }
-
-    public ParsedConstraint(string input, IRegressionProblemData problemData) {
-      this.Input = input;
-      this.constraints = new CheckedItemList<IntervalConstraint>();
-      this.ProblemData = problemData;
-    }
-
-    public ParsedConstraint(string input, IEnumerable<IntervalConstraint> constraints) {
-      this.Input = input;
-      this.constraints = constraints;
     }
 